function [ limg ] = Get_LIMG(lp,M,N,r)
    [x,y]=meshgrid(1:M,1:N);
    limg=zeros(N,M);
    for i=1:size(lp,1)
        cp=lp(i,:);
        limg=limg+gauss2d(x,y,cp(1),cp(2),r);
    end
end

function [img]=gauss2d(x,y,x0,y0,r)
         img=exp((-(x - x0).^2 - (y - y0).^2)./ (r.^2));
end

