function [LP]=Get_LP(sp,a,b,M,N)
         LP=one_direction(sp,b,M,N);
         n=1;
         p_a=sp+n*a;
         n_a=sp-n*a;
         while inside_img(p_a,M,N) && inside_img(n_a,M,N)
             LP=[LP;one_direction(p_a,b,M,N)];
             LP=[LP;one_direction(n_a,b,M,N)];
             n=n+1;
             p_a=sp+n*a;
             n_a=sp-n*a;
         end
         
         if inside_img(p_a,M,N)
             while inside_img(p_a,M,N)
                 LP=[LP;one_direction(p_a,b,M,N)];
                 n=n+1;
                 p_a=sp+n*a;
             end
         elseif inside_img(n_a,M,N)
             while inside_img(n_a,M,N)
                 LP=[LP;one_direction(n_a,b,M,N)];
                 n=n+1;
                 n_a=sp-n*a;
             end
         else
             LP=LP;
         end
end



function [inside]=inside_img(p,M,N)
         if p(1)<=M && p(1)>=1 && p(2)<=-1 && p(2)>=-N
             inside=true;
         else
             inside=false;
         end
end

function [LP] = one_direction(sp,v,M,N )
         LP=sp;
         n=1;
         p_a=sp+n.*v;
         n_a=sp-n.*v;
         while inside_img(p_a,M,N) && inside_img(n_a,M,N)
               LP=[LP;p_a;n_a];
               n=n+1;
               p_a = sp + n * v;
               n_a = sp - n * v;
         end
         
         if inside_img(p_a,M,N)
             while inside_img(p_a,M,N)
                 LP=[LP;p_a];
                 n=n+1;
                 p_a=sp+n*v;
             end
         elseif inside_img(n_a,M,N)
             while inside_img(n_a,M,N)
                 LP=[LP;n_a];
                 n=n+1;
                 n_a=sp-n*v;
             end
         else
             LP=LP;
         end
end

