function [LP] = estimate_s(Raw_image, v1, v2, tau)

[M, N] = size(Raw_image);

s1 = round(min(abs([N, M]./v1)));
s2 = round(min(abs([N, M]./v2)));

%imshow(Raw_image);
[a1, a2] = meshgrid(-2*s1-1:2*s1+1, -2*s2-1:2*s2+1);
LP = a1(:) * v1 + a2(:) * v2;
id = LP(:, 1) > -s1 & LP(:, 1) <= N+s1 & LP(:, 2) > -s2 & LP(:, 2) <= M+s2;
aa = [a1(id) a2(id)];%LP = LP(id, :);
%aa = [a1(:) a2(:)];
[gx, gy] = meshgrid(1:N, 1:M); x = [gx(:) gy(:)];
cnt = 0;
for d1 = 0:0.1:1
    for d2 = 0:0.1:1
       LP = (aa(:, 1)+d1) * v1 + (aa(:, 2)+d2) * v2;
       dd = pdist2(x, LP);
       est = sum(exp(-dd.^2/(2*tau^2))./sqrt(2*pi*tau^2), 2);
       est = reshape(est, M, N);
       cnt = cnt + 1;
       data(cnt, :) = [d1, d2, mean((est(:) - double(Raw_image(:))).^2)];
    end
end

[~, id] = min(data(:, 3));
dd = data(id, :);
LP = (aa(:, 1)+dd(1)) * v1 + (aa(:, 2)+dd(2)) * v2;
id = LP(:, 1) > 0 & LP(:, 1) <= N & LP(:, 2) > 0 & LP(:, 2) <= M;
LP = LP(id, :);
