function [] = generate_synthetic_cases(V_num, Var_level, v_num_name, mode, rep_num, data_directory, image_directory)

a=[7,0];
b=[0,7];
r=3./1.414;

M=75;
N=75;

s=[37,-37];

LP=Get_LP(s,a,b,M,N);
LP(:,2)=-LP(:,2);

for v=1:length(V_num)
    vn=V_num(v);
    void_search_grid=vn+3:-1:vn-2;
    
    for nn=1:length(Var_level)
        var=Var_level(nn); 
        noise=sqrt(var)*randn(M);
        
        for m=1:length(mode)
            pointsetname=strcat('mode_',mode{m},'_pointset','.mat');
            load(pointsetname);
            for k=1:rep_num
                
                P=length(pointset(:,1));
                LP_void=pointset(randsample(P,vn),:);
                var_name = strcat('var_',sprintf('%02d',round(10*var)));
                save(strcat(data_directory, ...
                    v_num_name{v},'-',...
                    var_name,'_',...
                    mode{m},'_',...
                    sprintf('rep_%i',k),'_',...
                    'LP_void'),'LP_void');

                LP_atom=setdiff(LP,LP_void,'rows');
                save(strcat(data_directory, ...
                     v_num_name{v},'-',...
                    var_name,'_',...
                    mode{m},'_',...
                    sprintf('rep_%i',k),'_',...
                    'LP_atom'),'LP_atom');

                img=Get_LIMG(LP_atom,M,N,r);
                img_noise = img+noise;
                save(strcat(data_directory, ...
                    v_num_name{v},'-',...
                    var_name,'_',...
                    mode{m},'_',...
                    sprintf('rep_%i',k),'_',...
                    'input_img'),'img_noise');
                imwrite(mat2gray(img_noise),strcat(image_directory,...
                                        v_num_name{v},'-',...
                                        var_name,'_',...
                                        mode{m},'_',...
                                        sprintf('rep_%i',k),'_',...
                                        'input_img.jpg'));
            end
        end
    end
end