function [centroids] = getAtomColumns(Raw_image, dia_particle)

if ndims(Raw_image) > 2
    Raw_image = rgb2gray(Raw_image);
end

% Gaussian smoothing
%hsize = 21;
%sigma = 2 * dia_particle / 20;
%h1 = fspecial('gaussian', hsize, sigma);
%Image_filtered = imfilter(Raw_image, h1, 'replicate');

% Iterative Voting
Image_filtered  = double(Raw_image);
Voted_center = Iterative_Voting(Image_filtered, dia_particle);
[y_Local_max, x_Local_max] = find(Voted_center > 0);
centroids = [x_Local_max y_Local_max];

% imshow(Raw_image);
% hold on;
% scatter(centroids(:, 1), centroids(:, 2),'r+');
% hold off;