% Code_Figure6_3 - The code generates Figure 6.3 of the book 
%                   'Data Science for Nano Image Analysis'
%                  written by Chiwoo Park and Yu Ding, 2021, Springer
%                  Nature 
%                
%               - implement  Section 4.2.2 of the book.
%
% Copyright ©2020 reserved to Chiwoo Park (cpark5@fsu.edu) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
I = imread('./images/D5 HADF-4965.tif'); 
I = double(rgb2gray(I)); I = I(1:128, 1:128);
F1 = fft2(I);
F2 = fft2(abs(F1).^2);

subplot(1,2,1); imagesc(I); colormap('gray'); axis off; title('(a) Original Image');
subplot(1,2,2); imagesc(abs(fftshift(F2))); colormap('gray'); axis off; title('(b) Double Fourier Transformed Image');


